Ubuntu Download Manager: /build/ubuntu-download-manager-git/src/ubuntu-download-manager/src/downloads/client/CMakeLists.txt File Reference

Ubuntu Download Manager 1.2.0 A session-wide downloading service |

Functions
/build/ubuntu-download-manager-git/src/ubuntu-download-manager/src/downloads/client/CMakeLists.txt File Reference

## Functions
| add_definitions (-DBOOST_LOG_DYN_LINK) set(TARGET ubuntu-download-manager-client) set(SOURCES ubuntu/download_manager/download_impl.cpp ubuntu/download_manager/download_interface.cpp ubuntu/download_manager/downloads_list_impl.cpp ubuntu/download_manager/download_pendingcall_watcher.cpp ubuntu/download_manager/error.cpp ubuntu/download_manager/group_download.cpp ubuntu/download_manager/logging/logger.cpp ubuntu/download_manager/manager.cpp ubuntu/download_manager/manager_impl.cpp ubuntu/download_manager/manager_interface.cpp ubuntu/download_manager/manager_pendingcall_watcher.cpp ubuntu/download_manager/pending_call_watcher.cpp ubuntu/download_manager/properties_interface.cpp) set(PUBLIC_HEADERS ubuntu/download_manager/download.h ubuntu/download_manager/downloads_list.h ubuntu/download_manager/error.h ubuntu/download_manager/group_download.h ubuntu/download_manager/manager.h ubuntu/download_manager/logging/logger.h) set(PRIVATE_HEADERS ubuntu/download_manager/download_impl.h ubuntu/download_manager/download_interface.h ubuntu/download_manager/downloads_list_impl.h ubuntu/download_manager/download_pendingcall_watcher.h ubuntu/download_manager/manager_impl.h ubuntu/download_manager/manager_interface.h ubuntu/download_manager/manager_pendingcall_watcher.h ubuntu/download_manager/pending_call_watcher.h ubuntu/download_manager/properties_interface.cpp) include_directories($
| include_directories (${Qt5Network_INCLUDE_DIRS}) include_directories($
src downloads common | add_library (${TARGET} SHARED ${SOURCES} ${PUBLIC_HEADERS} ${PRIVATE_HEADERS}) set(symbol_map "$
src downloads client symbols map | set_target_properties (${TARGET} PROPERTIES LINK_FLAGS "${ldflags} -Wl,--version-script,${symbol_map}" LINK_DEPENDS ${symbol_map} VERSION ${UDM_VERSION_MAJOR}.${UDM_VERSION_MINOR}.${UDM_VERSION_PATCH} SOVERSION ${UDM_VERSION_MAJOR}) target_link_libraries($

## Function Documentation

## ◆ add_definitions()

add_definitions | ( | - | DBOOST_LOG_DYN_LINK | ) |

Definition at line 1 of file CMakeLists.txt.

## ◆ add_library()

src downloads common add_library | ( |  | ${TARGET} SHARED ${SOURCES} ${PUBLIC_HEADERS} ${PRIVATE_HEADERS} | ) |

Definition at line 50 of file CMakeLists.txt.

## ◆ include_directories()

include_directories | ( |  | ${Qt5Network_INCLUDE_DIRS} | ) |

Definition at line 43 of file CMakeLists.txt.

## ◆ set_target_properties()

src downloads client symbols map set_target_properties | ( |  | ${TARGET} PROPERTIES LINK_FLAGS "${ldflags} -,
|  | --version- | script,
|  |  | ${symbol_map}" LINK_DEPENDS ${symbol_map} VERSION ${UDM_VERSION_MAJOR}.${UDM_VERSION_MINOR}.${UDM_VERSION_PATCH} SOVERSION ${UDM_VERSION_MAJOR}
| ) |  |

Definition at line 57 of file CMakeLists.txt.